# Payment Account

Source: https://docs.gocardless.com/docs/api-reference/payment-account

## Get a single payment account details

`GET /payment_accounts/{payment_account_id}`

Retrieves the details of an existing payment account.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payment_account_id` | path | string | Yes | The payment account id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List payment accounts

`GET /payment_accounts`

Returns a [cursor-paginated](#api-usage-cursor-pagination) list of your payment accounts.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
